%define major 11
%define libname %mklibname etpan %major
%define develname %mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	0.53
Release:	%mkrel 1
Group:		System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	BSD
URL:		http://libetpan.sourceforge.net/ 
Source:		http://unc.dl.sourceforge.net/sourceforge/%{name}-%{version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	db4.6-devel
BuildRequires:	libcurl-devel
BuildRequires:	libexpat-devel
Obsoletes:	%{name}
Provides:	%{name}
Patch0:         libetpan-0.53-fix-append-bug.patch

%description
libEtPan is a mail purpose library.
It is used for low-level mail handling.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries 

%description -n %{libname}
%Summary

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}
Obsoletes:	%mklibname etpan 11 -d
Provides:	%mklibname etpan 11 -d

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x \
	--enable-openssl

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#workaround for *.h detections 
rm -f include/libetpan/libetpan-conf
install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan 

%multiarch_binaries %{buildroot}%{_bindir}/libetpan-config 

%post -n %{libname} -p /sbin/ldconfig 

%postun -n %{libname} -p /sbin/ldconfig 

%clean
rm -rf %{buidroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
 
%files -n %{develname}
%defattr(-,root,root) 
%doc COPYRIGHT ChangeLog NEWS 
%doc doc/*
%{_bindir}/libetpan-config
%multiarch %{multiarch_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la 


%changelog
* Mon Feb 18 2008 Colin Leroy <colinl@mandriva.org> 0.53-1mdv2008.1
+ Revision: 170630
- Upgrade libetpan to 0.53:
        Fix ipv6 issues
        Fix some GMail issues
        Mingw32-buildable
  Add patch to fix a bug with APPEND on some servers (already in upstream CVS)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - fix no-buildroot-tag

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.52-2mdv2008.1
+ Revision: 139408
- spec file rewrite
- new devel library policy
- drop source 1, not needed though
- enable parallel build
- add missing build requires on libcurl-devel and libexpat-devel
- rebuild against db4.6

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.52-1mdv2008.0
+ Revision: 79861
- New release 0.52


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.49-3mdv2007.0
+ Revision: 131993
- build against db4.5

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.49-2mdv2007.1
+ Revision: 111868
- fix major; prevent this error to happen again

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.49-1mdv2007.1
+ Revision: 110088
- New release 0.49

* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.48-1mdv2007.1
+ Revision: 103587
- New release 0.48

* Fri Nov 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.46-2mdv2007.0
+ Revision: 80623
- Rebuild for missing package ( bugreport: #27088)
- import libetpan-0.46-1mdv2007.0

* Wed Jul 19 2006 Charles A Edwards <eslrahc@mandriva.org> 0.46-1mdv2007.0
- 0.46
- bump major (previously missed)

* Fri Jun 23 2006 Erwan Velu <erwan@seanodes.com> 0.39-2
- Rebuild

* Sat Apr 08 2006 Jerome Soyer <saispo@mandriva.org> 0.45-1mdk
- 0.45

* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 0.44-1mdk
- 0.44

* Wed Jan 18 2006 Marcel Pol <mpol@mandriva.org> 0.42-2mdk
- parallel build broken on x86_64

* Sun Jan 15 2006 Marcel Pol <mpol@mandriva.org> 0.42-1mdk
- 0.42
- new soname

* Sat Dec 03 2005 Marcel Pol <mpol@mandriva.org> 0.40-0.cvs6.1mdk
- 0.40cvs6
- mkrel

* Wed Oct 12 2005 Erwan Velu <erwan@seanodes.com> 0.39-1mdk
- 0.39

* Sat Sep 03 2005 Marcel Pol <mpol@mandriva.org> 0.38-2mdk
- fix %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
 (-n libetpan)

* Fri Jul 22 2005 Lenny Cartier <lenny@mandriva.com> 0.38-1mdk
- 0.38

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 0.37-1mdk
- 0.37

* Wed Feb 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.36-1mdk
- 0.36

* Sat Nov 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.34-1mdk
- 0.34

* Thu Aug 26 2004 Charles A Edwards <eslrahc@mandrake.org> 0.33-1mdk
- 0.33

